package com.idiot.operationbackend.service.facade;

import com.baomidou.mybatisplus.extension.service.IService;
import com.idiot.operationbackend.entity.AccountFans;

/**
 * @author wang xiao
 * @date Created in 19:24 2020/9/10
 */
public interface AccountFansService extends IService<AccountFans> {


    /**
     *  openId和公众号id  查询用户
     * @author wangxiao
     * @date 18:59 2020/9/14
     * @param accountId
     * @param openId
     * @return com.idiot.operationbackend.entity.AccountFans
     */
    AccountFans queryByAccountIdAndOpenId (String accountId,String openId);


    /**
     *  统计粉丝总数目
     * @author wangxiao
     * @date 14:26 2020/9/16
     * @param accountId
     * @return int
     */
    int countFansByAccountId(String accountId);
}
